# ``twisted`.`internet`.`_sslverify`.`OpenSSLCertificateAuthorities``

class documentation

`class OpenSSLCertificateAuthorities: (source)`

Implements interfaces: `twisted.internet._sslverify.IOpenSSLTrustRoot`

View In Hierarchy

Trust an explicitly specified set of certificates, represented by a list of `OpenSSL.crypto.X509` objects.

Method | `__init__` |
Method | `_addCACertsToContext` | Add certificate-authority certificates to an SSL context whose connections should trust those authorities.
Instance Variable | `_caCerts` | Undocumented

def __init__(self, caCerts): (source)

Parameters
caCerts:`list` of `OpenSSL.crypto.X509` | The certificate authorities to trust when using this object as a `trustRoot` for `OpenSSLCertificateOptions`.

def _addCACertsToContext(self, context): (source)
from `twisted.internet._sslverify.IOpenSSLTrustRoot`
Add certificate-authority certificates to an SSL context whose connections should trust those authorities.

Parameters
context:`OpenSSL.SSL.Context` | An SSL context for a connection which should be verified by some certificate authority.
Returns
`None`

_caCerts = (source)

Undocumented